{-# LANGUAGE ImportQualifiedPost #-}
{-# LANGUAGE TypeApplications #-}
{-# LANGUAGE DataKinds #-}
module Main (main) where

import Data.ByteString.Lazy qualified as ByteString

import Language.Java.Classfile (Classfile)
import Language.Java.Classfile.Extract (runExtract)
import Language.Java.Classfile.Extractable (extract)
import Language.Java.Classfile.Stage (Stage(Parse))

main :: IO ()
main = do
  input <- ByteString.getContents
  print $ runExtract input (extract @(Classfile Parse))
